$(function(){
	
	var bathPath = $("#basePath").val();
	
	//点击 解冻或 冻结操作 ,ajax 提交
	//shortCutFunction ---->  success, info, warning, error
	$("body").delegate('.op_enable', 'click', function(){
		var userId = $(this).attr("userId");
		var $this = $(this);
		$.ajax({
			type : 'POST',
			async : false,
			url : bathPath + 'sysUser/updateUserEnable.json',
			data : {'userId' : userId },
			dataType : 'json',
			success : function(data){
				if(data.success){
					//操作成功, 当前用户已经 冻结
					if(data.userStatus) {
						$this.html("解冻");
						$(".user_satus_"+userId).find("i").attr("class", "fa fa-minus text-danger");
					} else {
						$this.html("冻结");
						$(".user_satus_"+userId).find("i").attr("class", "fa fa-check text-navy");
					}
				} else {
					//提醒用户操作失败
					CommonUtils.toastMsg(3, "操作失败", 2);
					//toastr['error']('操作失败');
				}
			}, 
			error : function(XMLHttpRequest, textStatus, errorThrown) {
				//提醒用户操作失败
				CommonUtils.toastMsg(3, "操作失败", 2);
			}
		})
	});
	
	/* 点击重置密码 */
	$("body").delegate('.op_reset_pw', 'click', function(){
		var userId = $(this).attr("userId");
		var $this = $(this);
		$.ajax({
			type : 'POST',
			async : false,
			url : bathPath + 'sysUser/resetUserPw.json',
			data : {'userId' : userId },
			dataType : 'json',
			success : function(data){
				if(data.success){
					//操作成功, 当前用户已经 冻结
					CommonUtils.toastMsg(0, "重置密码成功,默认密码为dgt.0000!", 2);
//					toastr['success']('重置密码成功');
				} else {
					//提醒用户操作失败
					CommonUtils.toastMsg(3, "重置密码失败", 2);
				//	toastr['error']('重置密码失败');
				}
			}, 
			error : function(XMLHttpRequest, textStatus, errorThrown) {
				//提醒用户操作失败
				//toastr['error']('重置密码失败');
				CommonUtils.toastMsg(3, "重置密码失败", 2);
			}
		})
	});
	
	//查询用户角色 并回显
	$("body").delegate('.op_user_role', 'click', function(){
		var userId = $(this).attr("userId");
		$("#user-role").attr("userId", userId);
		$("body").find(".icheckbox_square-green").removeClass("checked");
		$.ajax({
			type : 'POST',
			async : false,
			url : bathPath + 'sysUser/findUserRole.json',
			data : {'userId' : userId },
			dataType : 'json',
			success : function(data){
				if(data.success){
					//将所有的 checkbox name="roleChoose" 取消 “选中状态"
				//	$("input[name='roleChoose']").attr("checked", false);
					var roleList = data.roleList;
					for(var i = 0; i < roleList.length; i++){
						var roleId = roleList[i].roleId;
						$("#checkbox"+roleId).find(".icheckbox_square-green").addClass("checked");
				//		$("#checkbox"+roleId).next().addClass(".checkbox label::before ");
					}
				} 
			}
		})
	});
	
	//点击 保存  后台提交 用户角色关系
	$("body").delegate('#updateUserRole', 'click', function(){
		var userId = $("#user-role").attr("userId");
		var $input = $(".icheckbox_square-green.checked > input");
		var roleIds = "";
		for(var i = 0; i < $input.length; i++){
			roleIds += $input.eq(i).val()+",";
		}
		roleIds = roleIds.substring(0, roleIds.length-1);
		$.ajax({
			type : 'POST',
			async : false,
			url : bathPath + 'sysUser/updateUserRole.json',
			data : {'userId' : userId, "roleIds": roleIds },
			dataType : 'json',
			success : function(data){
				if(data.success){
					CommonUtils.toastMsg(0, "更新用户角色成功", 2);
				} else {
					CommonUtils.toastMsg(3, "更新用户角色失败", 2);
				}
			}
		})
	});
	
	//删除 用户
	$("body").delegate('.op_delete', 'click', function(){
		var userId = $(this).attr("userId");
		var $this = $(this);
		
		var confirmDeleteUser = function(){
			$.ajax({
				type : 'POST',
				async : false,
				url : bathPath + 'sysUser/deleteUser.json',
				data : {'userId' : userId },
				dataType : 'json',
				success : function(data){
					if(data.success){
						
						CommonUtils.alertMsg(1, "删除用户", "删除成功");
						
						//操作成功, 当前用户已经 冻结
					//	CommonUtils.toastMsg(0, "删除用户成功", 2);
						var trs = $("#main_data").find("tr");
						var pageNo = parseInt($("#pageNo").val());
						if(trs.length == 1){
							pageNo--;
						}
						queryEvent(pageNo);
//						toastr['success']('重置密码成功');
					} else {
						//提醒用户操作失败
						//CommonUtils.toastMsg(3, "删除用户失败", 2);
						CommonUtils.alertMsg(2, "删除用户", "删除用户失败");
					//	toastr['error']('重置密码失败');
					}
				}, 
				error : function(XMLHttpRequest, textStatus, errorThrown) {
					//提醒用户操作失败
					//toastr['error']('重置密码失败');
					CommonUtils.alertMsg(2, "删除用户", "删除用户失败");
				}
			})
		}
		
		CommonUtils.confirmDialog("请点击确定删除用户！", "确定要删除该用户吗？", confirmDeleteUser);
		return ;
	});
})
